package se.gawell.kvtstore.core.jackson;

import org.codehaus.jackson.map.ObjectMapper;
import org.springframework.stereotype.Component;

import se.gawell.kvtstore.core.Serializer;

@Component
public class JacksonSerializer implements Serializer {

	private ObjectMapper objectMapper = new ObjectMapper();
	
	@Override
	public String serialize(Object object) {
		try {
			return objectMapper.writeValueAsString(object);
		} catch (Exception e) {
			throw new SerializingException(e);
		}
	}

}
